summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-01-23 19:24:06 +0100
committerManuel Rüger <mrueg@gentoo.org>2017-01-23 19:24:06 +0100
commit8a3fd3c8e7ff5918e8eb4760064396a5934b885a (patch)
treeef0c3bd972bf898643c35662ed9f93c59cbc3c24 /net-analyzer/prometheus
parentgames-emulation/higan: fix bug 589204 (diff)
downloadgentoo-8a3fd3c8e7ff5918e8eb4760064396a5934b885a.tar.gz
gentoo-8a3fd3c8e7ff5918e8eb4760064396a5934b885a.tar.bz2
gentoo-8a3fd3c8e7ff5918e8eb4760064396a5934b885a.zip
net-analyzer/prometheus: Version bump to 1.5.0
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-analyzer/prometheus')
-rw-r--r--net-analyzer/prometheus/Manifest1
-rw-r--r--net-analyzer/prometheus/prometheus-1.5.0.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/net-analyzer/prometheus/Manifest b/net-analyzer/prometheus/Manifest
index 0b96e862771..f32f48ddbd1 100644
--- a/net-analyzer/prometheus/Manifest
+++ b/net-analyzer/prometheus/Manifest
@@ -1,2 +1,3 @@
DIST prometheus-1.4.1_p20161213.tar.gz 5151828 SHA256 23dde2d12004f596fa6a7292ef12f111d00cd3164eb12296c5d43a242c692fc5 SHA512 a24405a31e0e312331e05ee91b797039141ca6d5e2a9adfb508592432f18a2ff8a2357e40de5d66c5d0e52ba81d71e325c8f90ba0c0674b32f2254212d3b3e9f WHIRLPOOL 0c1fa151c7d373ff63d6e374e1f67e9b71dc4f15053d5993a9a1231d31e751592029fd4d74077cbe4a7955dd19e71411fa25b09a4490e7925668303e40e6f291
DIST prometheus-1.4.1_p20170104.tar.gz 5178945 SHA256 ca9f9c1bd096932a950e05a38f2f66751c9eed9a2131fb50c62df7e44f4eb894 SHA512 175d484d16177c2acb6d9f388f86f1562ae04878f47faff2b970e1cef7279f4323fd9f26aaebcae24eab24e6982a6775dae414efd1c6216d7ee1d2e283631321 WHIRLPOOL 14b6e29b02b2518eb9ac88f20dc2e77eabe1ba1c91f6bb949edd1af74d273bdc6a9ebc14ea2b7f85a32a6ba60fdcae73efce557906e36c3b257d66d0d7450a7b
+DIST prometheus-1.5.0.tar.gz 5182830 SHA256 f8eae5f4c51fdd73ceec08fc4895e695b6b02b581aa95e742e0f48f5aefc5537 SHA512 e90ae333c15335d449332487f6bf3d6a64d356208604850ece7ea8568e7e78f500dfc92219e11d57a01231671586de8c76173254b97fcb92fc14787c8c2a2ed7 WHIRLPOOL 42f2f93bdb04c2fa788c17bc4cd2be9b1c3a1de274c01cbba05b2623d902ef236a78092a1e45eb510fe9fdb20f68ab9b82fe1a958b7cc85e240efa0f1e387b06
diff --git a/net-analyzer/prometheus/prometheus-1.5.0.ebuild b/net-analyzer/prometheus/prometheus-1.5.0.ebuild
new file mode 100644
index 00000000000..45679717395
--- /dev/null
+++ b/net-analyzer/prometheus/prometheus-1.5.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/prometheus/..."
+EGIT_COMMIT="v${PV}"
+PROMETHEUS_COMMIT="d840f2c"
+ARCHIVE_URI="https://${EGO_PN%/*}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus monitoring system and time series database"
+HOMEPAGE="https://github.com/prometheus/prometheus"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-util/promu"
+
+PROMETHEUS_HOME="/var/lib/prometheus"
+
+pkg_setup() {
+ enewgroup prometheus
+ enewuser prometheus -1 -1 "${PROMETHEUS_HOME}" prometheus
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/{{.Revision}}/${PROMETHEUS_COMMIT}/" src/${EGO_PN%/*}/.promu.yml || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN%/*} || die
+ GOPATH="${S}" promu build -v || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN%/*} || die
+ dobin promtool prometheus
+ dodoc -r {documentation,{README,CHANGELOG,CONTRIBUTING}.md}
+ insinto /etc/prometheus
+ doins documentation/examples/prometheus.yml
+ insinto /usr/share/prometheus
+ doins -r console_libraries consoles
+ dosym ../../usr/share/prometheus/console_libraries /etc/prometheus/console_libraries
+ dosym ../../usr/share/prometheus/consoles /etc/prometheus/consoles
+ popd || die
+
+ newinitd "${FILESDIR}"/prometheus.initd prometheus
+ newconfd "${FILESDIR}"/prometheus.confd prometheus
+ keepdir /var/log/prometheus /var/lib/prometheus
+ fowners prometheus:prometheus /var/log/prometheus /var/lib/prometheus
+}